/***
* 		wywew3.h -- ui poop for wye.c
*  	 1994 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE    | WHAT
============================================================================
	23 Jan 94 | created
*/

/* gadget ids */
#define PASS 1
#define WYE 2

/*** reroute gadgets ***/
#define RR_ALLMIDI   3
/* midi */
#define RR_NOTE      4
#define RR_BEND      5
#define RR_PGM       6
#define RR_MTOUCH    7
#define RR_PTOUCH    8
#define RR_SYSEX     9
#define RR_CCHG     10

/* discard gadgets */
#define DIS_CONTROL 11
#define DIS_SYSEX   12

/* pots */
#define CONTROLLER    13
#define RR_CONTROLLER 14


#include <intuition/intuition.h>


static struct PropInfo Gadget14SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	5110,-1,
};

static struct Image Image1 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct Gadget Gadget14 = {
	NULL,
	180,64,  //75,
	155,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image1,
	NULL,
	NULL,
	NULL,
	(APTR)&Gadget14SInfo,
	RR_CONTROLLER,
	NULL
};

static struct PropInfo Gadget13SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	9800,-1,
};

static struct Image Image2 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText1 = {
	2,0,JAM1,
	-91,0,
	NULL,
	"Controller:",
	NULL
};

static struct Gadget Gadget13 = {
	&Gadget14,
	100,28,
	155,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image2,
	NULL,
	&IText1,
	NULL,
	(APTR)&Gadget13SInfo,
	CONTROLLER,
	NULL
};

static struct IntuiText IText2 = {
	4,0,JAM1,
	2,1,
	NULL,
	"Wye Tool SysEx",
	NULL
};

static struct Gadget Gadget12 = {
	&Gadget13,
	220,88,
	115,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText2,
	NULL,
	NULL,
	DIS_SYSEX,
	NULL
};

static struct IntuiText IText3 = {
	4,0,JAM1,
	5,1,
	NULL,
	"State Control",
	NULL
};

static struct Gadget Gadget11 = {
	&Gadget12,
	100,88,
	115,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText3,
	NULL,
	NULL,
	DIS_CONTROL,
	NULL
};

static struct IntuiText IText4 = {
	4,0,JAM1,
	6,1,
	NULL,
	"Ctrl Chg",
	NULL
};

static struct Gadget Gadget10 = {
	&Gadget11,
	100,63,  //74,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText4,
	NULL,
	NULL,
	RR_CCHG,
	NULL
};

static struct IntuiText IText5 = {
	4,0,JAM1,
	34,1,
	NULL,
	"Alien SysEx",
	NULL
};

static struct Gadget Gadget9 = {
	&Gadget10,
	100,74,  //63,
	155,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText5,
	NULL,
	NULL,
	RR_SYSEX,
	NULL
};

static struct IntuiText IText6 = {
	4,0,JAM1,
	2,1,
	NULL,
	"PolyTouch",
	NULL
};

static struct Gadget Gadget8 = {
	&Gadget9,
	260,52,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText6,
	NULL,
	NULL,
	RR_PTOUCH,
	NULL
};

static struct IntuiText IText7 = {
	4,0,JAM1,
	2,1,
	NULL,
	"MonoTouch",
	NULL
};

static struct Gadget Gadget7 = {
	&Gadget8,
	180,52,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText7,
	NULL,
	NULL,
	RR_MTOUCH,
	NULL
};

static struct IntuiText IText8 = {
	4,0,JAM1,
	9,1,
	NULL,
	"Pgm Chg",
	NULL
};

static struct Gadget Gadget6 = {
	&Gadget7,
	100,52,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText8,
	NULL,
	NULL,
	RR_PGM,
	NULL
};

static struct IntuiText IText9 = {
	4,0,JAM1,
	21,1,
	NULL,
	"Bend",
	NULL
};

static struct Gadget Gadget5 = {
	&Gadget6,
	260,41,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText9,
	NULL,
	NULL,
	RR_BEND,
	NULL
};

static struct IntuiText IText10 = {
	4,0,JAM1,
	17,1,
	NULL,
	"Notes",
	NULL
};

static struct Gadget Gadget4 = {
	&Gadget5,
	180,41,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText10,
	NULL,
	NULL,
	RR_NOTE,
	NULL
};

static struct IntuiText IText11 = {
	4,0,JAM1,
	5,1,
	NULL,
	"All MIDI",
	NULL
};

static struct Gadget Gadget3 = {
	&Gadget4,
	100,41,
	75,9,
	NULL,
	RELVERIFY,
	BOOLGADGET,
	NULL,
	NULL,
	&IText11,
	NULL,
	NULL,
	RR_ALLMIDI,
	NULL
};

static struct IntuiText IText12 = {
	4,0,JAM1,
	25,1,
	NULL,
	"Wye",
	NULL
};

static struct Gadget Gadget2 = {
	&Gadget3,
	180,16,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText12,
	NULL,
	NULL,
	WYE,
	NULL
};

static struct IntuiText IText13 = {
	4,0,JAM1,
	21,1,
	NULL,
	"Pass",
	NULL
};

static struct Gadget Gadget1 = {
	&Gadget2,
	100,16,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText13,
	NULL,
	NULL,
	PASS,
	NULL
};

#define GadgetList1 Gadget1

static struct Menu Menu1 = {
	NULL,
	0,0,
	0,0,
	NULL,
	"Wye Valve  v1.1  1992,94,97 Michael Rees",
	NULL,
};

#define MenuList1 Menu1

static struct IntuiText IText17 = {
	2,0,JAM1,
	33,89,
	NULL,
	"Discard:",
	NULL
};

static struct IntuiText IText16 = {
	2,0,JAM1,
	33,57,
	NULL,
	"Reroute:",
	&IText17
};

static struct IntuiText IText15 = {
	2,0,JAM1,
	49,16,
	NULL,
	"State:",
	&IText16
};

#define IntuiTextList1 IText15

static struct NewWindow NewWindowStructure1 = {
	132,12,
	376,104,
	0,1,
	CLOSEWINDOW,
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,
	&Gadget1,
	NULL,
	NULL,
	NULL,
	NULL,
	5,5,
	-1,-1,
	CUSTOMSCREEN
};

#define WTITLE "Wye Valve"
#define GCOUNT 12